• Русский
  • User [auth.alauda.io/v1]

    This API is installed only when the chart is deployed for the global cluster. It is not available on workload clusters.

    Description
    User is the Schema for the users API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    UserSpec defines the desired state of User

    statusobject

    UserStatus defines the observed state of User

    .spec

    Description
    UserSpec defines the desired state of User
    Type
    object
    Required
    connector_nameconnector_typeemailis_adminusername
    PropertyTypeDescription
    accountstring
    connector_idstring
    connector_namestring
    connector_typestring

    INSERT ADDITIONAL SPEC FIELDS - desired state of cluster Important: Run "make" to regenerate code after modifying this file

    continuity_errorsinteger
    emailstring
    expiredobject

    Expired ...

    groupsarray
    idsarray
    is_adminboolean
    is_disabledboolean
    last_login_timestring
    mailstring
    mobilestring
    old_passwordstring
    passwordstring
    statestring

    State is User's State

    usernamestring
    validboolean
    webhookTypestring
    webhookUrlstring
    extraobject

    Extra contains additional arbitrary metadata for the user from third-party systems

    .spec.expired

    Description
    Expired ...
    Type
    object
    Required
    beginend
    PropertyTypeDescription
    beginstring
    endstring

    .spec.groups

    Type
    array

    .spec.groups[]

    Type
    string

    .spec.ids

    Type
    array

    .spec.ids[]

    Type
    object
    Required
    idtype
    PropertyTypeDescription
    idstring
    typestring

    .spec.extra

    Description
    Extra contains additional arbitrary metadata for the user from third-party systems
    Type
    object

    .status

    Description
    UserStatus defines the observed state of User
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/auth.alauda.io/v1/users
      • DELETE: delete collection of User
      • GET: list objects of kind User
      • POST: create a new User
    • /apis/auth.alauda.io/v1/users/{name}
      • DELETE: delete the specified User
      • GET: read the specified User
      • PATCH: partially update the specified User
      • PUT: replace the specified User
    • /apis/auth.alauda.io/v1/users/{name}/status
      • GET: read status of the specified User
      • PATCH: partially update status of the specified User
      • PUT: replace status of the specified User

    /apis/auth.alauda.io/v1/users

    HTTP method
    DELETE
    Description
    delete collection of User
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind User
    HTTP responses
    HTTP codeResponse body
    200 - OKUserList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    201 - CreatedUser schema
    202 - AcceptedUser schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/users/{name}

    HTTP method
    DELETE
    Description
    delete the specified User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified User
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    201 - CreatedUser schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/users/{name}/status

    HTTP method
    GET
    Description
    read status of the specified User
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified User
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUser schema
    201 - CreatedUser schema
    401 - UnauthorizedEmpty